task vcfeval {
	File snv_true_vcf
	File snv_true_vcf_index
	File snv_false_vcf
	File snv_false_vcf_index

	File indel_true_vcf
	File indel_true_vcf_index
	File indel_false_vcf
	File indel_false_vcf_index

	File giab_bed
	File giab_snv
	File giab_snv_idx
	File giab_indel
	File giab_indel_idx

	File sdf
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
	
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_snv} -c ${snv_true_vcf} -o snv_true -t ${sdf}

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_snv} -c ${snv_false_vcf} -o snv_false -t ${sdf}

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_indel} -c ${indel_true_vcf} -o indel_true -t ${sdf}

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_indel} -c ${indel_false_vcf} -o indel_false -t ${sdf}

		tar -zcvf snv_true.zip snv_true
		tar -zcvf snv_false.zip snv_false
		tar -zcvf indel_true.zip indel_true
		tar -zcvf indel_false.zip indel_false

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File snv_true_zip="snv_true.zip"
		File snv_false_zip="snv_false.zip"
		File indel_true_zip="indel_true.zip"
		File indel_false_zip="indel_false.zip"
	}
}